Subject: Re: bug#19328: [PATCH] Add mechanism to prompt about unsaved customizations

From: Stefan Monnier <[email-masked]>
Date: Sun, 14 Dec 2014 09:02:48 -0500

> ...I see for example the commit 49daed60510a073062b41fa39fd7c010cb0a315e
> from Glenn has a nice summary of all the changes in subdirectories
> gathered from various ChangeLogs, but `C-c C-a' in the commit window
> doesn't bring in anything near that summary. Is there a way to
> auto-generate it or do I have to assemble it by hand?

Yes: from the *vc-dir* buffer, you need to explicitly select every file
you'll commit (instead of just saying "commit everything in this
directory").  Then C-c C-a will work.  It's stupid but it's the way to
code works.  Patches welcome.

        Stefan